/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\OdinsSpear.cs
Lines of code: 39

Description: 

***********************************************************/



using System;
using Server;

namespace Server.Items
{
	public class OdinsSpear : Spear
	{
	 	public override int InitMinHits{ get{ return 255; } }
	 	public override int InitMaxHits{ get{ return 255; } }

	 	[Constructable]
	 	public OdinsSpear()
	 	{
	 	 	Name = "Odin's Spear";
	 	 	Hue = 1173;
			Attributes.WeaponDamage = 50;
			Attributes.BonusInt = 5;
			WeaponAttributes.HitLeechMana = 100;
			WeaponAttributes.HitLightning = 50;
			
			AosElementDamages.Physical=80;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=20;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=20;
			AosElementDamages.Chaos=0;	
	 	}

	 	public OdinsSpear(Serial serial) : base( serial )
	 	{
	 	}

	 	public override void Serialize( GenericWriter writer )
	 	{
	 	 	base.Serialize( writer );

	 	 	writer.Write( (int) 0 );
	 	}
	 	public override void Deserialize(GenericReader reader)
	 	{
	 	 	base.Deserialize( reader );

	 	 	int version = reader.ReadInt();
	 	}
	}
}
